package com.cit.sellfan.ui.pannelli;

import com.cit.sellfan.ui.TextFieldDouble;
import com.vaadin.shared.ui.label.ContentMode;
import com.vaadin.ui.Alignment;
import com.vaadin.ui.CustomComponent;
import com.vaadin.ui.Panel;
import com.xdev.ui.XdevGridLayout;
import com.xdev.ui.XdevLabel;

import cit.myjavalib.UtilityFisica.UnitaMisura;

public class pannelloAzioneNumerico extends Panel {

	/**
	 * 
	 */
	public pannelloAzioneNumerico() {
		super();
		this.initUI();
		this.textFieldDouble.setConSegno(true);
	}
	
	public String getValue() {
		String ret = this.textFieldDouble.getValue();
		if (!this.labelUM.getValue().equals("")) {
			ret += " " + this.labelUM.getValue();
		}
		return ret;
	}
	
	public void setUnitaMisura(final UnitaMisura um) {
		if (um == null) {
			this.labelUM.setValue("");
			this.textFieldDouble.setMaximumFractionDigits(2);
		} else {
			this.labelUM.setValue(um.simbolo);
			this.textFieldDouble.setMaximumFractionDigits(um.nDecimaliStampa);
		}
	}
	
	public void setValuCaption(final String caption) {
		this.textFieldDouble.setCaption(caption);
	}

	/*
	 * WARNING: Do NOT edit!<br>The content of this method is always regenerated by
	 * the UI designer.
	 */
	// <generated-code name="initUI">
	private void initUI() {
		this.gridLayout = new XdevGridLayout();
		this.textFieldDouble = new TextFieldDouble();
		this.labelUM = new XdevLabel();
	
		//this.textFieldDouble.setCaption("Double");
		this.labelUM.setValue("[mm]");
		this.labelUM.setContentMode(ContentMode.HTML);
	
		this.gridLayout.setColumns(2);
		this.gridLayout.setRows(2);
		this.textFieldDouble.setWidth(100, Unit.PERCENTAGE);
		this.textFieldDouble.setHeight(-1, Unit.PIXELS);
		this.gridLayout.addComponent(this.textFieldDouble, 0, 0);
		this.labelUM.setWidth(100, Unit.PERCENTAGE);
		this.labelUM.setHeight(-1, Unit.PIXELS);
		this.gridLayout.addComponent(this.labelUM, 1, 0);
		this.gridLayout.setComponentAlignment(this.labelUM, Alignment.BOTTOM_LEFT);
		this.gridLayout.setColumnExpandRatio(0, 10.0F);
		this.gridLayout.setColumnExpandRatio(1, 10.0F);
		final CustomComponent gridLayout_vSpacer = new CustomComponent();
		gridLayout_vSpacer.setSizeFull();
		this.gridLayout.addComponent(gridLayout_vSpacer, 0, 1, 1, 1);
		this.gridLayout.setRowExpandRatio(1, 1.0F);
		this.gridLayout.setWidth(200, Unit.PIXELS);
		this.gridLayout.setHeight(70, Unit.PIXELS);
		this.setContent(this.gridLayout);
		this.setWidth(202, Unit.PIXELS);
		this.setHeight(72, Unit.PIXELS);
	} // </generated-code>

	// <generated-code name="variables">
	private XdevLabel labelUM;
	private TextFieldDouble textFieldDouble;
	private XdevGridLayout gridLayout;
	// </generated-code>

}
